Skip to content

List all action groups

Request

An action group is the set of actions recommended for a customer from a single signal, case, automation or meeting. Actions themselves are returned by ListActionGroupActions.

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
Query
offsetinteger, [ 0 .. 9007199254740991 ]
Default:0
limitinteger, ( 0 .. 250 ]
Default:100
scopestring(ScopeInput)

All will return all visible customers. Team will restrict this to those where your team members (members under a shared manager) are assigned a role on the customer. Mine will only return customers you are assigned a role to on the customer.

Default:"all"
Enum:"mine""team""all"
statusstring(ActionStatusInput)

Only return groups containing an action in this state

Enum:"todo""completed""dismissed"
dismissalSourcestring(ActionDismissalSourceInput)

Only return groups containing an action dismissed this way

Enum:"member""system"
customerIdArray of integers, non-empty
agentIdArray of integers, non-empty

Only return groups created by these agents, as returned by ListAgents

automationIdArray of integers, non-empty

Only return groups created by these automations, as returned by ListAutomations

categoryIdArray of integers, non-empty

Only return groups raised from a signal in these categories. Accepts the ID of a category or of a sub-category, as returned by ListSignalCategories

curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/action-groups?offset=0&limit=100&scope=all&status=todo&dismissalSource=member&customerId=1&agentId=1&automationId=1&categoryId=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
itemsArray of objects(ActionGroup)required
totalCountnumberrequired
Response
{ "items": [ { … } ], "totalCount": 0 }